from pathlib import Path

from .settings import logger, BOT_FOLDER
from .bot import Bot

def run():
    logger.info("Klafirc is running !")
    folder = Path(BOT_FOLDER)
    bots = [Bot(filename.resolve()) for filename in folder.glob("*.toml")]
    for b in bots:
        b.start()
    return bots
